From bb30355690365aa4621f5a15331619439e61dd11 Mon Sep 17 00:00:00 2001
From: Jiangyi Chen <chenjiangyi@uniontech.com>
Date: Wed, 9 Sep 2020 08:01:59 +0000
Subject: [PATCH v3] comdlg32: Fix the wrong popup when saving the same file
 again in the same directory.

Signed-off-by: Jiangyi Chen <chenjiangyi@uniontech.com>
---
 dlls/comdlg32/itemdlg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dlls/comdlg32/itemdlg.c b/dlls/comdlg32/itemdlg.c
index 1ae20ca782..5ac7c307f3 100644
--- a/dlls/comdlg32/itemdlg.c
+++ b/dlls/comdlg32/itemdlg.c
@@ -650,7 +650,7 @@ static HRESULT on_default_action(FileDialogImpl *This)
             if(FAILED(hr))
                 break;
 
-            if(This->options & FOS_PICKFOLDERS)
+            if((This->options & FOS_PICKFOLDERS) && This->dlg_type != ITEMDLG_TYPE_SAVE)
             {
                 SFGAOF attributes;
                 hr = IShellItemArray_GetAttributes(This->psia_results, SIATTRIBFLAGS_AND, SFGAO_FOLDER, &attributes);
-- 
2.20.1

